Bug 242313 - Review Request: phpTodo - PHP todo list manager
Summary: Review Request: phpTodo - PHP todo list manager
Status: CLOSED NEXTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review   
(Show other bugs)
Version: rawhide
Hardware: All Linux
low
medium
Target Milestone: ---
Assignee: Hans de Goede
QA Contact: Fedora Package Reviews List
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2007-06-03 07:50 UTC by Marc Bradshaw
Modified: 2007-11-30 22:12 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-09-24 23:21:05 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
hdegoede: fedora-review+
kevin: fedora-cvs+


Attachments (Terms of Use)

Description Marc Bradshaw 2007-06-03 07:50:06 UTC
First package, sponsor required.

Spec URL: http://marcbradshaw.co.uk/packages/SPECS/phpTodo.spec

SRPM URL: http://marcbradshaw.co.uk/packages/SRPMS/phpTodo-0.8.1-0.3.beta.fc6.src.rpm

Description: 
The general idea behind this program is to keep all of your todo lists in
one central location.  I've grown very tired of having lists all over the
place and being unable to reconcile them...

Comment 1 Marc Bradshaw 2007-06-05 04:51:17 UTC
Added some SELinux stuff, new SRPM URL:
http://marcbradshaw.co.uk/packages/RPMS/noarch/phpTodo-0.8.1-0.4.beta.fc6.noarch.rpm

Comment 2 Tyler Owen 2007-06-16 16:25:45 UTC
In a quick look at your SPEC I noticed that the Source0 URL does not meet the
standard for Sourceforge projects. 
(http://fedoraproject.org/wiki/Packaging/SourceURL#head-e27982f18a3bfd26b5b6ecbee113d2d8f3f006f2)

should be: 

Source0: http://downloads.sourceforge.net/%{name}/%{name}-%{version}.tar.gz



Comment 3 Marc Bradshaw 2007-06-17 23:13:41 UTC
Thanks Tyler, url has been changed to
http://downloads.sourceforge.net/phptodo/%{name}-%{version}beta.tar.gz which is
as close to the standard as is possible for that url %{name} being phpTodo
rather than the lowercase version.

New SRPM: http://marcbradshaw.co.uk/packages/SRPMS/phpTodo-0.8.1-0.5.beta.f7.src.rpm

I think the SElinux parts still need some work, if somebody with the knowhow
could take a look at that section I would appreciate it.

Comment 7 Hans de Goede 2007-09-19 18:16:31 UTC
I've taken a look at the last version and it looks good, including the selinux
rules, but then I installed it, started httpd (I've it disabled by default) and
then went to localhost/phpTodo, and all I get is a white page, view source shows
that nothing was send. Do I need to do anything else?


Comment 8 Marc Bradshaw 2007-09-19 23:38:47 UTC
There is a mysql database which needs to be setup but having that missing should
not result in a blank page being sent, a useful error should be displayed instead.
What selinux level are you running at?  Is there anything useful in
/var/log/httpd/error_log?


Comment 9 Hans de Goede 2007-09-20 06:20:14 UTC
(In reply to comment #8)
> There is a mysql database which needs to be setup but having that missing should
> not result in a blank page being sent, a useful error should be displayed instead.
> What selinux level are you running at?

I tried using setenforce 0, didn't help

>  Is there anything useful in
> /var/log/httpd/error_log?
I'll check tonight when I'm back behind my home workstation.



Comment 10 Marc Bradshaw 2007-09-20 06:55:43 UTC
I installed it in a fresh VM running F7 and I think I have found the problem.
The location of the php-Smarty install changed between FC6 and F7 and the RPM
uses the old version.  I tested it on 2 installs, one was pre F7 and the other
used pre F7 php RPMs as the stuff being worked on there isn't php5 compatible.
I will have a fix done shortly.

Comment 11 Marc Bradshaw 2007-09-20 10:53:40 UTC
I have set the sample config file to default to the F7 location of Smarty and
check for the FC6 location as a backup.
The error message received when the database has not been setup has also been
changed to be more useful.

http://marcbradshaw.co.uk/packages/phpTodo-0.8.1-0.7.beta.src.rpm


Comment 12 Hans de Goede 2007-09-20 17:44:24 UTC
Ah yes, better now, now it works with selinux disabled, to get it to "work"
(only tested up to the please configure page) with selinux enabled. make the
following changes:
-the correct selinux type for php and normal files is:
 httpd_sys_content_t, the type you now use is for old fashioned cgi scripts,
 not for escripted language handled through apache modules.
-add /etc/phpTodo/config.php to the list of files that need a selinux type set
 (extra semanage command and add to the restorecon cmdline)


Comment 13 Marc Bradshaw 2007-09-22 10:14:22 UTC
Latest SRPM: http://marcbradshaw.co.uk/packages/phpTodo-0.8.1-0.8.beta.src.rpm

selinux changed as above and /var/cache/phpTodo/ also added to selinux.
the initial database schema has also been patched such that it works with the
fedora supplied version of mySQL.

Comment 14 Hans de Goede 2007-09-22 13:25:38 UTC
Looks good, approved!

I'm ready to sponsor you now, please create a Fedora Account and request CVS
extras group membership, then I'll ack that.


Comment 15 Marc Bradshaw 2007-09-22 15:15:51 UTC
Thanks, cvsextras group has been requested.

Comment 16 Hans de Goede 2007-09-22 17:03:01 UTC
Have you filled in the CLA? Also, what is your fedora account system username?


Comment 17 Marc Bradshaw 2007-09-23 00:15:32 UTC
Yes, cla has been done, username is deebs

Comment 18 Hans de Goede 2007-09-23 05:40:06 UTC
Ah, yes with a username like that knowing your username helps. You have been
sponsored. You can file CVS admin requests for creation of the CVS modules for
your packages now.


Comment 19 Marc Bradshaw 2007-09-23 11:37:46 UTC
New Package CVS Request
=======================
Package Name: phpTodo
Short Description: PHP todo list manager
Owners: deebs
Branches: F-7
InitialCC: 
Cvsextras Commits: yes

Comment 20 Kevin Fenzi 2007-09-24 16:14:39 UTC
cvs done.


Note You need to log in before you can comment on or make changes to this bug.